#include <iostream>

using namespace std;

int main()
{
 long long int n;
cin>>n;
long long int x[n],y[n],X[n],Y[n],xszamlalo=0,yszamlalo=0,vegso=0;
for(int i=0;i<n;i++)
{
    cin>>x[i]>>y[i];
}
for(long long int i=0;i<n;i++)
{
    for(long long int j=i+1;j<n;j++)
{
    if(x[i]==x[j])
    {
        X[xszamlalo]=abs(y[i]-y[j]);
        for(long long int o=0;o<xszamlalo;o++)
        {
            if(X[o]==2*X[xszamlalo]||X[o]*2==X[xszamlalo])
            {

                vegso++;
            }
        }
        xszamlalo++;
    }
    if(y[i]==y[j])
    {
        Y[yszamlalo]=abs(x[i]-x[j]);

        for(long long int o=0;o<yszamlalo;o++)
        {
            if(Y[o]==2*Y[yszamlalo]||Y[o]*2==Y[yszamlalo])
            {
                vegso++;
            }
        }
        yszamlalo++;
    }
}
}
cout<<vegso;
}